using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//In this example you will how to set header & footer in HTML format
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com		
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";

			//set some options
			h.PageStyle.PageSize.Letter();
            h.PageStyle.PageMarginLeft.Mm(20f);

			string html="";
			string word="";

			//1. Read contents of HTML document
			html = ReadFileString(@"..\..\..\..\..\..\Testing HTMLs\pic.htm");

			//Set 'BaseUrl' that component can find a full path to .css and images
			h.BaseURL = @"..\..\..\..\..\..\Testing HTMLs\";

			//Let's specify page header from HTML file
			h.PageStyle.PageHeader.FromHtmlFile(@"..\..\..\..\..\..\Testing HTMLs\table1.htm");

			//Let's specify page footer from HTML string
			string footer = ReadFileString(@"..\..\..\..\..\..\Testing HTMLs\sup-sub.htm");
			h.PageStyle.PageFooter.Html(footer);

			//2. Convert HTML to RTF in memory			
			word = h.ConvertString(html);
			
			if(word!="")
			{
				//3. Save to RTF document
				int ret = WriteToFile(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf",word);
				if (ret==0)
					System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			}
		}
		public static string ReadFileString(string path)
        {
            FileStream fo = new FileStream(path, FileMode.Open, FileAccess.Read, FileShare.Read);
            byte[] bHtmlIn = new byte[((int)fo.Length)];
            try
            {
                fo.Read(bHtmlIn, 0, (int)fo.Length);
                fo.Close();
                char[] arCharRes = new char[bHtmlIn.Length];
                for (int i = 0; i < bHtmlIn.Length; i++)
                {
                    arCharRes[i] = (char)bHtmlIn[i];
                }
                return new string(arCharRes);
            }
            catch
            {
                return "";
            }
        }
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
